DHTMLX Docs & Samples Explorer

Index
dhtmlxdataprocessor
Event Handling

## onRowMark event

occurs each time when row need to be repaint, blockable.

          dp.attachEvent("onRowMark",function(id,state,mode,is_invalid){
               //any custom code
               return true;
          })

Parameters:

- row id;
- row state - {bool} true - updated, false - update mark removed;
- mode - {string} updated,deleted,inserted;
- invalid - {bool} set if row has error or invalid status.